cURL
curl -i -X GET "https://api.box.com/2.0/tasks/12345/assignments" \
-H "authorization: Bearer <ACCESS_TOKEN>"client.task_assignments.get_task_assignments(task.id)await client.taskAssignments.getTaskAssignments(task.id!);try await client.taskAssignments.getTaskAssignments(taskId: task.id!)client.getTaskAssignments().getTaskAssignments(task.getId())await client.TaskAssignments.GetTaskAssignmentsAsync(taskId: NullableUtils.Unwrap(task.Id));{
"total_count": 100,
"entries": [
{
"id": "11446498",
"type": "task_assignment",
"item": {
"id": "12345",
"type": "file",
"etag": "1",
"sequence_id": "3",
"name": "Contract.pdf",
"sha1": "85136C79CBF9FE36BB9D05D0639C70C265C18D37",
"file_version": {
"id": "12345",
"type": "file_version",
"sha1": "134b65991ed521fcfe4724b7d814ab8ded5185dc"
}
},
"assigned_to": {
"id": "11446498",
"type": "user",
"name": "Aaron Levie",
"login": "ceo@example.com"
},
"message": "Please review",
"completed_at": "2012-12-12T10:53:43-08:00",
"assigned_at": "2012-12-12T10:53:43-08:00",
"reminded_at": "2012-12-12T10:53:43-08:00",
"resolution_state": "incomplete",
"assigned_by": {
"id": "11446498",
"type": "user",
"name": "Aaron Levie",
"login": "ceo@example.com"
}
}
]
}{
"type": "error",
"status": 400,
"code": "item_name_invalid",
"message": "Method Not Allowed",
"context_info": {
"message": "Something went wrong"
},
"help_url": "https://developer.box.com/guides/api-calls/permissions-and-errors/common-errors/",
"request_id": "abcdef123456"
}{
"type": "error",
"status": 400,
"code": "item_name_invalid",
"message": "Method Not Allowed",
"context_info": {
"message": "Something went wrong"
},
"help_url": "https://developer.box.com/guides/api-calls/permissions-and-errors/common-errors/",
"request_id": "abcdef123456"
}{
"type": "error",
"status": 400,
"code": "item_name_invalid",
"message": "Method Not Allowed",
"context_info": {
"message": "Something went wrong"
},
"help_url": "https://developer.box.com/guides/api-calls/permissions-and-errors/common-errors/",
"request_id": "abcdef123456"
}Task assignments
List task assignments
Lists all of the assignments for a given task.
GET
/
tasks
/
{task_id}
/
assignments
cURL
curl -i -X GET "https://api.box.com/2.0/tasks/12345/assignments" \
-H "authorization: Bearer <ACCESS_TOKEN>"client.task_assignments.get_task_assignments(task.id)await client.taskAssignments.getTaskAssignments(task.id!);try await client.taskAssignments.getTaskAssignments(taskId: task.id!)client.getTaskAssignments().getTaskAssignments(task.getId())await client.TaskAssignments.GetTaskAssignmentsAsync(taskId: NullableUtils.Unwrap(task.Id));{
"total_count": 100,
"entries": [
{
"id": "11446498",
"type": "task_assignment",
"item": {
"id": "12345",
"type": "file",
"etag": "1",
"sequence_id": "3",
"name": "Contract.pdf",
"sha1": "85136C79CBF9FE36BB9D05D0639C70C265C18D37",
"file_version": {
"id": "12345",
"type": "file_version",
"sha1": "134b65991ed521fcfe4724b7d814ab8ded5185dc"
}
},
"assigned_to": {
"id": "11446498",
"type": "user",
"name": "Aaron Levie",
"login": "ceo@example.com"
},
"message": "Please review",
"completed_at": "2012-12-12T10:53:43-08:00",
"assigned_at": "2012-12-12T10:53:43-08:00",
"reminded_at": "2012-12-12T10:53:43-08:00",
"resolution_state": "incomplete",
"assigned_by": {
"id": "11446498",
"type": "user",
"name": "Aaron Levie",
"login": "ceo@example.com"
}
}
]
}{
"type": "error",
"status": 400,
"code": "item_name_invalid",
"message": "Method Not Allowed",
"context_info": {
"message": "Something went wrong"
},
"help_url": "https://developer.box.com/guides/api-calls/permissions-and-errors/common-errors/",
"request_id": "abcdef123456"
}{
"type": "error",
"status": 400,
"code": "item_name_invalid",
"message": "Method Not Allowed",
"context_info": {
"message": "Something went wrong"
},
"help_url": "https://developer.box.com/guides/api-calls/permissions-and-errors/common-errors/",
"request_id": "abcdef123456"
}{
"type": "error",
"status": 400,
"code": "item_name_invalid",
"message": "Method Not Allowed",
"context_info": {
"message": "Something went wrong"
},
"help_url": "https://developer.box.com/guides/api-calls/permissions-and-errors/common-errors/",
"request_id": "abcdef123456"
}This endpoint is in the version 2024.0. No changes are required to continue using it. For more details, see Box API versioning.Learn more about Box SDK versioning strategy.
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The ID of the task.
Response
Returns a collection of task assignment defining what task on a file has been assigned to which users and by who.
Last modified on January 23, 2026
Was this page helpful?
⌘I
